summaryrefslogtreecommitdiffstats
path: root/bin/wb-ssh-wrapper
diff options
context:
space:
mode:
Diffstat (limited to 'bin/wb-ssh-wrapper')
-rwxr-xr-xbin/wb-ssh-wrapper38
1 files changed, 38 insertions, 0 deletions
diff --git a/bin/wb-ssh-wrapper b/bin/wb-ssh-wrapper
new file mode 100755
index 0000000..85a6cb7
--- /dev/null
+++ b/bin/wb-ssh-wrapper
@@ -0,0 +1,38 @@
+#!/bin/bash
+#
+# A wrapper script to point ssh at in an authorized_keys file to only allow
+# access to wanna-build
+# Copyright © 2006 Ryan Murray <rmurray@debian.org>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+#
+#######################################################################
+
+bin=/usr/bin/wanna-build
+
+[ -n "$SSH_ORIGINAL_COMMAND" ] || exit 1
+
+set -- $SSH_ORIGINAL_COMMAND
+
+bn=$(basename "$1")
+if [ "$bn" != "wanna-build" ]; then
+ exit 1
+fi
+
+shift
+
+[ -f "$bin" -a -x "$bin" ] || exit 1
+
+exec $bin $@